c
c ---------------------------------------------------------------
c
      subroutine intro(PGMVER, PGMDAT)
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Subroutine to print out introductory screens 
c - and disclaimers
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      character*80 SCCSID
      character*5  PGMVER
      character*15 PGMDAT
      character*1  keyb

      SCCSID="@(#)intro.f 	1.3	2009/08/05 NGS"

ccccccccccccccccccccccccccccccccccccccccccccccccccc 
c - Introduction
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      write(6,1) 
    1 format(/,
     * 10x,'                   Welcome to the ',/,
     * 10x,'             National Geodetic Survey''s ',/,
     * 10x,'                 INTG2009BETA PROGRAM',/,
     * 10x,'            (INTerpolate from Geoid files). ',/,
     * 10x,'      Special Release for 2009 BETA data files ONLY ',/)
      write(6,2) PGMVER, PGMDAT
    2 format(
     * 10x,'                   Version: ',a5,/,
c     * 10x,'                  November 2, 1999',/,
     * 10x,'             Date(ccyy/mm/dd): ',a15,/,
c     * 10x,'                 Dru A. Smith, Ph.D.',//,
     * 10x,'               (Hit RETURN to continue)')
      read(5,'(a)')keyb

ccccccccccccccccccccccccccccccccccccccccccccccccccc 
c - Disclaimer
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      WRITE (6,932)
  932 format(/,1x,70('-'),/,
     *         /, 32X, 'DISCLAIMER' ,//,
     + ' This program and supporting information is furnished by',
     + ' the government of', /,
     + ' the United States of America, and is accepted/used by the',
     + ' recipient with', /,
     + ' the understanding that the U. S. government makes no',
     + ' warranties, express or', /,
     + ' implied, concerning the accuracy, completeness, reliability,',
     + ' or suitability', /,
     + ' of this program, of its constituent parts, or of any',
     + ' supporting data.', //,
     + ' The government of the United States of America shall be',
     + ' under no liability', /,
     + ' whatsoever resulting from any use of this program.',
     + '  This program should', /,
     + ' not be relied upon as the sole basis for solving a problem',
     + ' whose incorrect', /,
     + ' solution could result in injury to person or property.')

        WRITE (6,933)
  933   FORMAT ( /,
     + ' This program is the property of the government of the',
     + ' United States of', /,
     + ' America. Therefore, the recipient further agrees not to',
     + ' assert proprietary', /,
     + ' rights therein and not to represent this program to anyone as',
     + ' being other', /,
     + ' than a government program.', //,
     * '               (Hit RETURN to continue)')
      read(5,'(a)')keyb

        WRITE (6,934)
  934   FORMAT ( /, 1x,70('-'),/,
     + ' The flag for bad data is ''-999'' which will mostly appear if',
     + ' the input ', /,
     + ' latitude/longitude of a point falls outside of the borders',
     + ' of available files.', /,
     + ' Note the longitude can be entered in either positive EAST',
     + ' or ', /,
     + ' as positive WEST.',//,
     * ' Allowable formats for latitude and longitude, both keyboard',
     * ' and by file are:',/,
     * '  1) Integer degrees                  2) Decimal degrees',/,
     * '  3) Int Deg & Integer Minutes        4) Int Deg & Decimal',
     * ' Minutes',/,
     * '  5) Int Deg, Int Min, & Integer Sec  6) Int Deg, Int Min &',
     * ' Decimal Seconds',/,
     * ' Space delimited values only.  No commas.',/,
     * ' Negative values are allowed, but only with the negative ',
     * ' sign preceding',/,
     * ' and touching degrees (i.e. -100 42 37.3)',//,
     * '               (Hit RETURN to continue)')
      read(5,'(a)')keyb

  935 FORMAT( /,
     * 10x,'                 INTG2009BETA PROGRAM',/,
     * 10x,'      Special Release for 2009 BETA data files ONLY ')

      return
      end
c
